Bug 1130125 - MQTT producer fails with AssertionError if it runs as a unit test
Summary: MQTT producer fails with AssertionError if it runs as a unit test
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Camel
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tomohisa Igarashi
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 11:58 UTC by Tomohisa Igarashi
Modified: 2015-11-02 08:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA CAMEL-7662 None None None Never
JBoss Issue Tracker SWITCHYARD-2221 Major Resolved camel-mqtt producer fails to publish with AssertionError in a unit test 2016-05-06 19:53:54 UTC

Description Tomohisa Igarashi 2014-08-14 11:58:37 UTC
camel-mqtt producer fails with following AssertionError if it runs as a unit test. Willem just found it happens if JVM assertion is enabled (surefire enables it by default). See CAMEL-7662 for a reproducer and more details.

Caused by: java.lang.AssertionError: Dispatch queue 'mqtt client' was not executing, (currently executing: '<not-dispatched>')
	at org.fusesource.hawtdispatch.internal.SerialDispatchQueue.assertExecuting(SerialDispatchQueue.java:145)
	at org.fusesource.mqtt.client.CallbackConnection.publish(CallbackConnection.java:585)
	at org.fusesource.mqtt.client.CallbackConnection.publish(CallbackConnection.java:581)
	at org.apache.camel.component.mqtt.MQTTEndpoint.publish(MQTTEndpoint.java:160)
	at org.apache.camel.component.mqtt.MQTTProducer.process(MQTTProducer.java:58)
	at org.apache.camel.processor.SendProcessor.process(SendProcessor.java:120)

Comment 1 Tomohisa Igarashi 2014-11-16 10:54:52 UTC
Submitted a pull request for CAMEL-7662.

Comment 2 JBoss JIRA Server 2015-07-08 04:16:33 UTC
Tomohisa igarashi <tm.igarashi@gmail.com> updated the status of jira SWITCHYARD-2221 to Resolved


Note You need to log in before you can comment on or make changes to this bug.